> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invoice

> Retrieve detailed information for a specific invoice, fully populated with customer and product relations.



## OpenAPI

````yaml /api-reference/blink-api.json get /invoices/{id}
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security:
  - storeIdHeader: []
tags:
  - name: Invoices
    description: Unified merchant of record invoices for products and subscriptions.
  - name: Geo Pricing
    description: Resolve Purchasing Power Parity (PPP) localized pricing.
paths:
  /invoices/{id}:
    get:
      tags:
        - Invoices
      summary: Get Invoice
      description: >-
        Retrieve detailed information for a specific invoice, fully populated
        with customer and product relations.
      operationId: getInvoice
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: The UUID of the invoice (order or subscription_invoice id)
      responses:
        '200':
          description: Invoice details
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      invoice_number:
                        type: string
                      type:
                        type: string
                      customer_id:
                        type: string
                      status:
                        type: string
                      total_amount:
                        type: integer
                      tax_amount:
                        type: integer
                      net_amount:
                        type: integer
                      currency:
                        type: string
                      created_at:
                        type: string
                      pdf_url:
                        type: string
                      customer:
                        type: object
                        description: Expanded customer relation
                      product:
                        type: object
                        description: Expanded product relation
        '404':
          description: Invoice not found
components:
  securitySchemes:
    storeIdHeader:
      type: apiKey
      in: header
      name: x-store-id

````